@model CAPAMovies.Models.UserMovie
@using CAPAMovies.Models

@{
    ViewData["Title"] = "Delete";
}

<h2>Delete</h2>

<p class="text-danger">@ViewData["ErrorMessage"]</p>

<h3>Are you sure you want to delete this movie from your inventory?</h3>
<div>
    <h4>Movie</h4>
    <hr/>
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.TitleSort)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.TitleSort)
        </dd>
        <dt>
            Format
        </dt>
        <dd>
            @foreach (var f in @ViewBag.Formats)
            {
                @if (f.ID == Model.FormatID)
                {
                    @f.FormatName
                    break;
                }
            }
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.StarRating)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.StarRating)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Location)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Location)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Custom)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Custom)
        </dd>
    </dl>

    <form asp-action="Delete" asp-route-UserID="@Model.UserID" asp-route-MovieID="@Model.MovieID" asp-route-FormatID="@Model.FormatID">
        <div class="col-md-offset-1 form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default"/> |
            <a asp-action="Index">Back to List</a>
        </div>
    </form>
</div>
